#!/bin/bash


BAK_DIR="/etc/vdr/channels_bak"
KEEP_BAK="14"
DEL_OBSOLETE="1"
VDRCONFDIR="/etc/vdr/"

cd $VDRCONFDIR

DATE="$(date +%F)"
[ -f "$BAK_DIR/channels.conf_$DATE" ] && exit
[ "$(pidof vdr)" != "" ] && exit

[ ! -d $BAK_DIR ] && mkdir $BAK_DIR
cp channels.conf $BAK_DIR/channels.conf_$DATE
awk -f /etc/vdr.d/scripts/sort.awk channels.conf > channels.conf.sort

if [ $DEL_OBSOLETE -eq 1 ] ; then
  grep -av OBSOLETE channels.conf.sort > channels.conf
  rm -f channels.conf.sort
else
  mv -f channels.conf.sort channels.conf
fi

find $BAK_DIR -mtime +$KEEP_BAK -exec rm -v {} \;
